/* Vars */
:root {
  --mostly-black: #111;
  --mostly-white: #eee;
  --primary: #00FFBC;
  --primary-alpha: rgba(0, 255, 188, 0.65);
  --primary-light: #c8fff1;
  --secondary: #BC13FE;
  --secondary-alpha: rgba(188, 19, 254, 0.60);
  --secondary-hover: #cd4eff;
  --secondary-darker: #570b75;
  --meaningwave-pinkurple: #7228db;
  /*--meaningwave-pinkurple-highlight: #decafa;*/
  --highlight-left: 12%;
  --highlight-right: 21%;
}

/* Font */
@font-face {
  font-family: 'Jost';
  src: url('/static/font/Jost-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

/* Layout */
html {
	color: var(--mostly-white);
	background-color: var(--mostly-black);
  font-family: 'Jost', sans-serif;
  font-size: 20px;
  letter-spacing: 0.1px;
}

header {
  margin-top: 15px;
}

body {
	margin: 20px auto;
  width: 70%;
  min-width: 745px;
}

footer {
  padding: 20px 0;
}

.CreatedWithHTMX img {
  width: 200px;
}
a.CreatedWithHTMX:hover {
  filter: none;
}

/* Base */

h1, h2, h3, h4, h5, h6 { margin: 0; }
h1.Title {
  font-size: 43px;
  letter-spacing: 2px;
  margin: 1px 0 1px;
  color: var(--meaningwave-pinkurple);
}
.Title .Meaning {
  color: var(--meaningwave-pinkurple);
  background-image: linear-gradient(
    68deg,
    var(--secondary) 40%,
    #dddddd 50%,
    var(--secondary) 60%
  );
  background-size: 300% 100%;
  background-position: 0% 0%;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: highlight-sweep 7s linear infinite;
}
@keyframes highlight-sweep {
  0% {
    background-position: 100% 0%;
  }
  40% {
    background-position: 0% 0%;
  }
  100% {
    background-position: 0% 0%;
  }
}


a, a:visited {
  text-decoration: none;
  color: var(--primary);
}

tr:hover a {
  filter:
    drop-shadow(0 0 10px rgba(1,1,1,0.5))
    drop-shadow(0 0 10px rgba(1,1,1,0.5))
    drop-shadow(0 0 20px var(--primary));
}

a:hover {
  filter:
    drop-shadow(0 0 2px rgba(0,0,0,0.85))
    drop-shadow(0 0 10px rgba(1,1,1,0.5))
    drop-shadow(0 0 15px var(--primary))
    drop-shadow(0 0 20px var(--primary));
  animation: pulseFilter 2s ease-in-out infinite;
}

a:hover {
	text-decoration: underline;
}

a.Selected {
  text-decoration: underline;
  filter:
    drop-shadow(0 0 2px rgba(0,0,0,0.85))
    drop-shadow(0 0 10px rgba(1,1,1,0.5))
    drop-shadow(0 0 15px var(--primary))
}

a:hover {
  color: var(--primary-light);
  background: none;
  background-color: transparent;
  filter:
    drop-shadow(0 0 2px rgba(0,0,0,0.85))
    drop-shadow(0 0 10px rgba(1,1,1,0.5))
    drop-shadow(0 0 15px var(--primary))
    drop-shadow(0 0 18px var(--primary));
}

a.NoHover {
  filter: none;
}

/* Nav */
.Nav {
  font-family: sans-serif;
}
.Nav .Item:hover {
	filter: brightness(1.25);
  transform: translateY(-3px) scale(1.02);
}
.Nav .Item {
  font-variant: small-caps;
  display: inline-block;
  position: relative;
  overflow: hidden;
  padding: 11px 14px;
  margin-right: 4px;
  border: none;
  border-radius: 7px;
  cursor: pointer;
  font-weight: 350;
  color: var(--nearly-white);
  box-shadow: 0 8px 15px rgba(0,0,0,0.2), inset 0 1px 0 rgba(255,255,255,0.5), inset 0 -2px 0 rgba(0,0,0,0.2);
  text-shadow: 0 4px 5px rgba(0,0,0,0.3), 0 0px 5px rgba(0,0,0,1);
  transition:
    filter 0.2s ease,
    transform 0.10s ease-out;
  background: linear-gradient(180deg, #cd4eff, #BC13FE);
}
.Nav a.Item:hover {
  text-decoration: none;
}
.Nav .Item::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 50%;
    background: linear-gradient(180deg, rgba(255,255,255,0.75), transparent);
    border-radius: 12px 12px 100% 100%;
}
.Nav .Item:active {
  background: linear-gradient(180deg, var(--secondary-darker), var(--secondary-darker));
  transform: scale(0.95) translateY(0);
  transition: transform 0.10s ease-out;
}
.Nav .Active,
.Nav a.Active:hover {
  background: linear-gradient(180deg, var(--primary), #2d0439);
  box-shadow:
    0px 1px 14px var(--primary),
    inset 0 2px 4px rgba(0,0,0,0.4);
  animation: pulseBrightness 5s ease-in-out infinite;
}
.Nav .Item:hover,
.Nav .Item:hover a,
.Nav a.Item:hover,
.NoHover {
  filter: brightness(1.25) !important;
  animation: none !important;
  text-decoration: none !important;
}


body::before {
  content: '';
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: min(75%, calc(70% + 40px));
  min-width: calc(745px + 40px);
  height: 100vh;
  background: rgba(23, 23, 23, 1);
  z-index: -1;
  pointer-events: none;
  border-left: 2px solid;
  border-right: 2px solid;
  border-image: linear-gradient(180deg, var(--secondary-alpha), var(--primary-alpha)) 1;
}



/* Tables */
table {
  width: 100%;
  margin-top: 10px;
  /*border-collapse: collapse;*/
  border-collapse: separate;
  border-spacing: 0;
  border-radius: 11px;
  position: relative;
}

.Album.Detail table {
  /*border: 2px solid var(--mostly-white);*/
  border: 2px solid #9d9d9d;
  border-radius: 5px;
}

th, td {
  border-bottom: 1px dotted var(--secondary-darker);
  padding: 2px;
  text-align: left;
}

td.Extra {
  border-bottom: none;
}


th {
  border-bottom: 2px solid var(--secondary-darker);
}

tr {
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;
}
tr:hover {
  border-left: 1px dotted var(--secondary-darker);
  border-right: 1px dotted var(--secondary-darker);
  cursor: pointer;
}
thead tr:hover {
	background: none;
	color: var(--nearly-white);
}

tbody td {
  padding-left: 6px;
  padding-right: 7px;
}

td.NumSongs {
  border-right: 2px solid var(--secondary-darker);
}

td:last-child {
  border-right: none;
}

th.AlbumArt, td.AlbumArt {
  padding: 0 4px 2px 4px;
  box-sizing: border-box;
}

td.AlbumArt {
  position: relative;
  overflow: visible;
}

td.AlbumArt::before {
  content: '';
  position: absolute;
  top: 0;
  left: 40px;
  width: 400px;
  height: 100%;
  background-image: var(--art-url);
  background-size: cover;
  background-position: 50% var(--bg_offset_y);
  filter: blur(4px) brightness(0.3);
  z-index: -1;

  -webkit-mask-image: linear-gradient(to right, black 0%, black 75%, transparent 95%);
  mask-image: linear-gradient(to right, black 0%, black 75%, transparent 95%);

  transition: filter 0.2s ease-in-out;
}

td.AlbumArt:hover::before {
  filter: blur(1px) brightness(0.9);
}

td.AlbumArt img {
  display: block;
  width: 50px !important;
  height: 50px !important;
  position: relative;
  z-index: 2;
  vertical-align: bottom;
}

tr:hover td.AlbumArt::before {
  filter: blur(1px) brightness(0.9);
}


.Speaker .AlbumArt {
  width: 44px;
}
.Speaker .AlbumName { padding-left: 15px; }
td.NumSongs, td.NumAlbums, td a, td .ShortAlbumType {
text-shadow:
  -1px 1px 2px var(--mostly-black),
  1px 1px 2px var(--mostly-black);
}
td.NumSongs {
  width: 110px;
}
td.NumAlbums {
  width: 80px;
}

th.Track,
td.Track {
  width: 46px;
}

.Album.Detail table::before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: '';
  background-image: var(--art-url);
  background-size: cover;          /* make it scale to fill */
  background-repeat: no-repeat;    /* avoid tiling */
  background-position: center;     /* center the art */
  color: white;                    /* improve text contrast */
  border-collapse: collapse;
  filter: blur(14px) brightness(0.5);
  clip-path: inset(0 round 11px);
  z-index: -1;
}
.List .ReleaseDate,
.Speaker .ReleaseDate {
  font-size: 16px;
  text-align: right;
}
.AlignRight {
  text-align: right;
}
.Album.Detail table th,
.Album.Detail table td {
  background-color: rgba(0, 0, 0, 0.5);
  padding: 8px 12px;
}
.Album.Detail .Title,
.ColorfulTitle {
  display: inline-block;
  background: linear-gradient(
    137deg,
    #00FFBC,
    #BC13FE,
    #ffd000,
    #BC13FE,
    #00FFBC
  );
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  position: relative;

  background-size: 200% 100%;
  background-position: 0% 50%;

  animation: album-title-gradient-move 30s linear infinite;
}
@keyframes album-title-gradient-move {
  0% {
    background-position: 0% 50%;
  }
  100% {
    background-position: -200% 50%;
  }
}

.AlbumLayout {
  display: grid;
  grid-template-columns: 300px 1fr;
  gap: 26px;
  align-items: start;
  margin: 20px 0;
}
.Metadata {
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.Metadata .ReleaseDate {
  font-size: 18px;
}
.RelatedAlbums {
  font-size: 18px;
}
.RelatedAlbums h3 {
  font-size: 20px;
}
.RelatedAlbums .Items {
  display: flex;
  flex-wrap: wrap;
  gap: 2px 6px;
}
.RelatedAlbums .Item {
  position: relative;
  width: 128px;
  margin: 4px 0 10px;
  text-align: center;
  font-size: 18px;
}
.RelatedAlbums .Item img {
  width: 110px;
  height: auto;
  border-radius: 5px;
  border: 2px solid #9d9d9d;
}
.RelatedAlbums .Item .Label {
  position: absolute;
  top: 5px;
  left: 12px;
  padding: 2px 9px;
  border-radius: 5px;
  background: rgba(0.1, 0.1, 0.1, 0.8);
  font-size: 14px;
}
.RelatedAlbums .Item .Name { line-height: 18px; }



/* Stuff */
.Title, .ColorfulTitle { font-variant: small-caps; }
.Missing { color: #f00; }
.Content.Meaning {
  margin-bottom: 18px;
  color: #646464;
}
.Content .Short {
  margin-bottom: 5px;
  font-style: italic;
  color: #9e9e9e;
}
.Content.Long { margin-bottom: 10px; }
.Album.List table td:first-child {
  width: 0px;
}
.Album.List .ReleaseDate {
  font-size: 15px;
}
.Detail img.AlbumArt { border-radius: 3px; }
.Detail .AlbumArt {
  width: 300px;
  border: 2px solid var(--mostly-black);
  outline: 3px solid var(--mostly-white);
}
.NumSongs {
  background: linear-gradient(90deg, #7c3aed var(--bar-width, 0%), transparent var(--bar-width, 0%));
}
.NumAlbums {
  background: linear-gradient(-90deg, #7c3aed var(--bar-width, 0%), transparent var(--bar-width, 0%));
}
.Note {
  font-size: 14px;
  font-style: italic;
}
.Notes li {
  padding: 5px 0;
}
.Listen.Icon {
  display: inline-flex;
  align-items: center;
  gap: 0px;
  text-decoration: none;
  vertical-align: middle;
}
.Listen.Icon img {
  width: 33px;
  height: auto;
}
.Listen.Icon.Bandcamp {
  gap: 5px;
}
.Listen.Icon.Bandcamp img {
  width: 20px;
}
.Legend {
  margin-top: 10px;
}
.Icon.HasInstrumentalAlbum,
.Icon.HasShortAlbum {
  margin-left: 4px;
  color: var(--secondary);
  text-shadow:
    0 0px 5px rgba(255, 255, 255, 0.6),
    0 0px 2.3px rgba(0, 0, 0, 1);
}
.Icon.HasShortAlbum {
  margin-left: 0;
  color: var(--primary);
}
.Legend .HasInstrumentalAlbum,
.Legend .HasShortAlbum {
  margin-right: 3px;
}
.Legend .HasShortAlbum {
  margin-left: 4px;
}
.ShortAlbumType {
  font-size: 0.75rem;  /* Small size, scales with root font */
  font-weight: 500;    /* Optional: semi-bold for labels */
  line-height: 1.2;    /* Tight spacing */
  padding-left: 5px;
}
.Truth {
  margin-top: 15px;
}

.Search #search { width: 280px; }
.Search .Text {
  height: 33px;
  border-radius: 6px;
  background-color: black;
  border: 1px solid grey;
  color: white;
  padding: 1px 6px 0px 10px;
  font-size: 16px;
}

.Speaker .Section {
  padding-bottom: 20px;
}
.Speaker table {
  margin-top: 0;
}
.TotalSpeakers {
  margin-bottom: 10px;
}

/* Animations */
@keyframes pulseBrightness {
  0%, 100% {
    filter: brightness(1.0);
  }
  50% {
    filter: brightness(1.2);
  }
}

@keyframes pulseFilter {
  0%, 100% {
    filter:
      drop-shadow(0 0 2px rgba(0,0,0,0.85))
      drop-shadow(0 0 10px rgba(1,1,1,0.5))
      drop-shadow(0 0 15px var(--primary))
      drop-shadow(0 0 20px var(--primary));
  }
  50% {
    filter:
      drop-shadow(0 0 2px rgba(0,0,0,1.85))
      drop-shadow(0 0 10px rgba(1,1,1,1.5))
      drop-shadow(0 0 15px var(--primary))
      drop-shadow(0 0 20px var(--primary));
  }
}
